# Uses of Interface
org.springframework.core.convert.support.ConfigurableConversionService

Packages that use ConfigurableConversionService
Package
Description
org.springframework.core.convert.support
Default implementation of the type conversion system.
org.springframework.core.env
Spring's environment abstraction consisting of bean definition profile and hierarchical property source support.

## Uses of ConfigurableConversionService in org.springframework.core.convert.support

Classes in org.springframework.core.convert.support that implement ConfigurableConversionService
Modifier and Type
Class
Description
`class`
`DefaultConversionService`
A specialization of `GenericConversionService` configured by default with converters appropriate for most environments.
`class`
`GenericConversionService`
Base `ConversionService` implementation suitable for use in most environments.

## Uses of ConfigurableConversionService in org.springframework.core.env

Methods in org.springframework.core.env that return ConfigurableConversionService
Modifier and Type
Method
Description
`ConfigurableConversionService`
AbstractEnvironment.`getConversionService()`
`ConfigurableConversionService`
AbstractPropertyResolver.`getConversionService()`
`ConfigurableConversionService`
ConfigurablePropertyResolver.`getConversionService()`
Return the `ConfigurableConversionService` used when performing type conversions on properties.
Methods in org.springframework.core.env with parameters of type ConfigurableConversionService
Modifier and Type
Method
Description
`void`
AbstractEnvironment.`setConversionService(ConfigurableConversionService conversionService)`
`void`
AbstractPropertyResolver.`setConversionService(ConfigurableConversionService conversionService)`
`void`
ConfigurablePropertyResolver.`setConversionService(ConfigurableConversionService conversionService)`
Set the `ConfigurableConversionService` to be used when performing type conversions on properties.